GNU bug report logs - #9631
path in .la start with '='

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: libtool; Reported by: Peter Kruse <pjodrr@HIDDEN>; dated Thu, 29 Sep 2011 16:16:02 UTC; Maintainer for libtool is bug-libtool@HIDDEN.

Message received at 9631 <at> debbugs.gnu.org:


Received: (at 9631) by debbugs.gnu.org; 7 Mar 2012 13:36:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 07 08:36:27 2012
Received: from localhost ([127.0.0.1]:37132 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S5H2Y-0000Hn-Jq
	for submit <at> debbugs.gnu.org; Wed, 07 Mar 2012 08:36:27 -0500
Received: from vinc17.pck.nerim.net ([213.41.242.187]:63242
	helo=smtp-xvii.vinc17.net) by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <vincent@HIDDEN>) id 1S5H2L-0000H7-Ha
	for 9631 <at> debbugs.gnu.org; Wed, 07 Mar 2012 08:36:14 -0500
Received: by xvii.vinc17.org (Postfix, from userid 1000)
	id CD316310016; Wed,  7 Mar 2012 14:35:12 +0100 (CET)
Date: Wed, 7 Mar 2012 14:35:12 +0100
From: Vincent Lefevre <vincent@HIDDEN>
To: Peter Kruse <pjodrr@HIDDEN>
Subject: Re: path in .la start with '='
Message-ID: <20120307133512.GB26123@HIDDEN>
References: <CAAYVSY+XybX5tiTPEiKPmkF3tvSBh6vCYvw8QfsC9jGoZLoMCQ@HIDDEN>
	<20120307131728.GA29885@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
In-Reply-To: <20120307131728.GA29885@HIDDEN>
X-Mailer-Info: http://www.vinc17.net/mutt/
User-Agent: Mutt/1.5.21-6201-vl-r48020 (2011-12-20)
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 9631
Cc: 9631 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

On 2012-03-07 14:17:28 +0100, Vincent Lefevre wrote:
> Some user ran into the same problem with MPFR, but it doesn't seem to
> be a bug, so that I think this bug should be closed. You need a more
> recent Libtool (2.4+) to link.
>=20
> The Libtool 2.4+ NEWS file says:
>=20
> New in 2.4 2010-09-22: git version 2.2.11a, Libtool team:
>=20
> * New features:
>=20
>   - Sysroot support.  This allows you to build cross-compiled packages
>     with the same prefix that will be used on the destination machine,
>     and still find dependent libraries under the compiler's "sysroot".
>     Without sysroot support, paths internal to the build system may lea=
k
>     into the product of the build.
>=20
>     Sysroot support is disabled unless the --with-sysroot configure
>     option is passed to configure, because .la files generated with
>     sysroot support will _not_ be usable in general with older Libtools=
.

However the user who sees this --with-sysroot option in some library
may not have this information if Libtool 2.4+ is not installed.

"./configure --help" says:

  --with-sysroot=3DDIR Search for dependent libraries within DIR
                        (or the compiler's sysroot if not specified).

This comes from:

# _LT_WITH_SYSROOT
# ----------------
AC_DEFUN([_LT_WITH_SYSROOT],
[AC_MSG_CHECKING([for sysroot])
AC_ARG_WITH([sysroot],
[  --with-sysroot[=3DDIR] Search for dependent libraries within DIR
                        (or the compiler's sysroot if not specified).],
[], [with_sysroot=3Dno])

...

in libtool.m4. How about mentioning the compatibility problem here
for the "./configure --help" output?

--=20
Vincent Lef=E8vre <vincent@HIDDEN> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)




Information forwarded to bug-libtool@HIDDEN:
bug#9631; Package libtool. Full text available.

Message received at 9631 <at> debbugs.gnu.org:


Received: (at 9631) by debbugs.gnu.org; 7 Mar 2012 13:18:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 07 08:18:42 2012
Received: from localhost ([127.0.0.1]:37112 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S5GlN-0008Jb-Ls
	for submit <at> debbugs.gnu.org; Wed, 07 Mar 2012 08:18:42 -0500
Received: from vinc17.pck.nerim.net ([213.41.242.187]:63050
	helo=smtp-xvii.vinc17.net) by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <vincent@HIDDEN>) id 1S5GlB-0008J4-1J
	for 9631 <at> debbugs.gnu.org; Wed, 07 Mar 2012 08:18:30 -0500
Received: by xvii.vinc17.org (Postfix, from userid 1000)
	id 6D190310016; Wed,  7 Mar 2012 14:17:28 +0100 (CET)
Date: Wed, 7 Mar 2012 14:17:28 +0100
From: Vincent Lefevre <vincent@HIDDEN>
To: Peter Kruse <pjodrr@HIDDEN>
Subject: Re: path in .la start with '='
Message-ID: <20120307131728.GA29885@HIDDEN>
References: <CAAYVSY+XybX5tiTPEiKPmkF3tvSBh6vCYvw8QfsC9jGoZLoMCQ@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
In-Reply-To: <CAAYVSY+XybX5tiTPEiKPmkF3tvSBh6vCYvw8QfsC9jGoZLoMCQ@HIDDEN>
X-Mailer-Info: http://www.vinc17.net/mutt/
User-Agent: Mutt/1.5.21-6201-vl-r48020 (2011-12-20)
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 9631
Cc: 9631 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Hi,

On 2011-09-29 13:03:48 +0200, Peter Kruse wrote:
> Hello,
>=20
> The recently[1] added function `func_replace_sysroot' adds an '=3D' to =
a
> given path.
> But this path is then added to $dependency_libs in the .la file like th=
is:
>=20
> dependency_libs=3D' -L=3D/usr/lib'
>=20
> resulting in errors like:
>=20
> libtool: link: warning: cannot determine absolute directory name of `=3D=
/usr/lib'
>=20
> what is the reasoning for this equal sign?  I have configured some
> recent versions
> of some software packages that use this libtool (pcre, glib) with
> --with-sysroot and my PATH indeed starts with that directory.

Some user ran into the same problem with MPFR, but it doesn't seem to
be a bug, so that I think this bug should be closed. You need a more
recent Libtool (2.4+) to link.

The Libtool 2.4+ NEWS file says:

New in 2.4 2010-09-22: git version 2.2.11a, Libtool team:

* New features:

  - Sysroot support.  This allows you to build cross-compiled packages
    with the same prefix that will be used on the destination machine,
    and still find dependent libraries under the compiler's "sysroot".
    Without sysroot support, paths internal to the build system may leak
    into the product of the build.

    Sysroot support is disabled unless the --with-sysroot configure
    option is passed to configure, because .la files generated with
    sysroot support will _not_ be usable in general with older Libtools.

There is technical information here:

  http://permalink.gmane.org/gmane.comp.gnu.libtool.patches/10111

--=20
Vincent Lef=E8vre <vincent@HIDDEN> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)




Information forwarded to bug-libtool@HIDDEN:
bug#9631; Package libtool. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Sep 2011 16:15:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 29 12:15:44 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1R9JGx-0001VO-3l
	for submit <at> debbugs.gnu.org; Thu, 29 Sep 2011 12:15:44 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <pjodrr@HIDDEN>) id 1R9EQF-0001qy-35
	for submit <at> debbugs.gnu.org; Thu, 29 Sep 2011 07:05:01 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <pjodrr@HIDDEN>) id 1R9EPG-0000hQ-9j
	for submit <at> debbugs.gnu.org; Thu, 29 Sep 2011 07:03:59 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_LOW, T_DKIM_INVALID,
	T_TO_NO_BRKTS_FREEMAIL autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:55007)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <pjodrr@HIDDEN>) id 1R9EPG-0000hM-1f
	for submit <at> debbugs.gnu.org; Thu, 29 Sep 2011 07:03:58 -0400
Received: from eggs.gnu.org ([140.186.70.92]:48059)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <pjodrr@HIDDEN>) id 1R9EPE-0007GX-L1
	for bug-libtool@HIDDEN; Thu, 29 Sep 2011 07:03:57 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <pjodrr@HIDDEN>) id 1R9EP8-0000fq-NZ
	for bug-libtool@HIDDEN; Thu, 29 Sep 2011 07:03:56 -0400
Received: from mail-wy0-f169.google.com ([74.125.82.169]:42062)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <pjodrr@HIDDEN>) id 1R9EP8-0000fN-Ct
	for bug-libtool@HIDDEN; Thu, 29 Sep 2011 07:03:50 -0400
Received: by wyf22 with SMTP id 22so185788wyf.0
	for <bug-libtool@HIDDEN>; Thu, 29 Sep 2011 04:03:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=mime-version:date:message-id:subject:from:to:content-type;
	bh=HZrylxm7n7dse1inF92RQmHJFEYnPr0A5+2zkrhO5uU=;
	b=vpoAfclwypBKSJBIMJuu8EFXMowaxOJsn9rdu8fBLRMkXDLpQivi7dfPXAEPnisRvZ
	sjIdVoNM0249jblyLkcyLNLWNFTTkRsQCJvJPiWT/PJXi359Zz2ZoOKobDvmBhy7QIId
	HHACzTkJ0Bw/Mg3scNkE3L+afoPwlM9qPRCrk=
MIME-Version: 1.0
Received: by 10.216.221.81 with SMTP id q59mr1799176wep.19.1317294228365; Thu,
	29 Sep 2011 04:03:48 -0700 (PDT)
Received: by 10.216.12.6 with HTTP; Thu, 29 Sep 2011 04:03:48 -0700 (PDT)
Date: Thu, 29 Sep 2011 13:03:48 +0200
Message-ID: <CAAYVSY+XybX5tiTPEiKPmkF3tvSBh6vCYvw8QfsC9jGoZLoMCQ@HIDDEN>
Subject: path in .la start with '='
From: Peter Kruse <pjodrr@HIDDEN>
To: bug-libtool@HIDDEN
Content-Type: text/plain; charset=ISO-8859-1
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -5.9 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 29 Sep 2011 12:15:41 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.9 (-----)

Hello,

The recently[1] added function `func_replace_sysroot' adds an '=' to a
given path.
But this path is then added to $dependency_libs in the .la file like this:

dependency_libs=' -L=/usr/lib'

resulting in errors like:

libtool: link: warning: cannot determine absolute directory name of `=/usr/lib'

what is the reasoning for this equal sign?  I have configured some
recent versions
of some software packages that use this libtool (pcre, glib) with
--with-sysroot and my PATH indeed starts with that directory.

regards,

  Peter

[1] http://permalink.gmane.org/gmane.comp.gnu.libtool.patches/10141

ps: I'm not subscribed to this list, it would be nice if you could cc
me on replies




Acknowledgement sent to Peter Kruse <pjodrr@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-libtool@HIDDEN. Full text available.
Report forwarded to bug-libtool@HIDDEN:
bug#9631; Package libtool. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.